締め処理
POST
/webhook-daily-summaries
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/webhook-daily-summaries';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"contractId":"string","event":"string","action":"executed","ids":[{"sumDate":"2020/09/01","storeId":"1","cashDrawerId":"0"},{"sumDate":"2020/09/02","storeId":"1","cashDrawerId":"0"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/webhook-daily-summaries \ --header 'Content-Type: application/json' \ --data '{ "contractId": "string", "event": "string", "action": "executed", "ids": [ { "sumDate": "2020/09/01", "storeId": "1", "cashDrawerId": "0" }, { "sumDate": "2020/09/02", "storeId": "1", "cashDrawerId": "0" } ] }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Smaregi-Event
string
イベント名 pos:daily-summaries
Request Body
Section titled “Request Body”Media typeapplication/json
object
contractId
契約ID
string
event
イベント
string
action
アクション
- executed: 締め実施
- edited: 更新
- canceled: 締め解除
- bulk-update: 一括更新
string
ids
Array<object>
object
sumDate
締め日
[YYYY/MM/DD]
string
storeId
店舗ID
string
cashDrawerId
キャッシュドロアID
※未登録の場合、0が設定されます
string
Example
{ "contractId": "string", "event": "string", "action": "executed", "ids": [ { "sumDate": "2020/09/01", "storeId": "1", "cashDrawerId": "0" }, { "sumDate": "2020/09/02", "storeId": "1", "cashDrawerId": "0" } ]}